

//baseline estimation(full sample)
xtreg  mkp expdum lnscale klratio soe age hhi,fe 
est store mk1
xtreg  mkp expdum lnscale klratio soe age hhi i.year i.ind2,fe // year and ind2 fixed effects
est store mk2
xtreg  mkp expdum lnscale klratio soe age hhi i.year i.ind2 i.province,fe 
est store mk3
// export share
xtreg  mkp expsha lnscale klratio soe age hhi,fe 
est store mk4
xtreg  mkp expsha lnscale klratio soe age hhi i.year i.ind2,fe 
est store mk5
xtreg  mkp expsha lnscale klratio soe age hhi i.year i.ind2 i.province,fe 
est store mk6
esttab mk1 mk2 mk3 mk4 mk5 mk6 using mkp1,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)

// export_sub_sample
xtreg  mkp lntfp_lp lngni real quality lnscale klratio soe age hhi,fe 
est store mk7
xtreg  mkp lntfp_lp lngni real quality lnscale klratio soe age hhi i.year i.ind2,fe 
est store mk8
xtreg  mkp lntfp_lp lngni real quality lnscale klratio soe age hhi i.year i.ind2 i.province,fe
est store mk9
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk10
gen pureexp=0
replace pureexp=1 if expsha>=0.9// gen pure exporter indicator
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if pureexp==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk11
esttab mk7 mk8 mk9 mk10 mk11 using mkp2,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)
// different factor_intensive
xtreg  mkp lntfp_lp lngni real quality lnscale klratio soe age hhi i.year i.ind2 i.province if l_intensive==1,fe
est store mk12
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if l_intensive==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk13
xtreg  mkp lntfp_lp lngni real quality lnscale klratio soe age hhi i.year i.ind2 i.province if k_intensive==1,fe
est store mk14
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if k_intensive==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk15
xtreg  mkp lntfp_lp lngni real quality lnscale klratio soe age hhi i.year i.ind2 i.province if t_intensive==1,fe
est store mk16
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if t_intensive==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk17
esttab mk12 mk13 mk14 mk15 mk16 mk17 using mkp3,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)

// different trade mode (general tradeprocessing trade)
gen gtrade=0
replace gtrade=1 if exp_ybmy>0&exp_ybmy!=.     //general trade dummy 
gen pi=0
replace pi=1 if exp_jljg>0&exp_jljg!=.     //general trade dummy 
gen pa=0
replace pa=1 if exp_lljg>0&exp_lljg!=.     //general trade dummy 
gen ptrade=0
replace ptrade=1 if pi==1|pa==1    //processing trade dummy 

xtreg  mkp gtrade pi pa lnscale klratio soe age hhi i.year i.ind2 i.province,fe 
est store mk18
xtabond2 mkp gtrade pi pa lnscale klratio soe age hhi yr1-yr10, gmm(l.gtrade l.pi,collapse) iv(i.year)
est store mk19

xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if gtrade==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk20
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if pi==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk21
xtabond2 mkp lntfp_lp lngni real quality lnscale klratio soe age hhi yr1-yr10 if pa==1, gmm(l.lntfp_lp l.quality,collapse) iv(i.year)
est store mk22
esttab mk18 mk19 mk20 mk21 mk22 using mkp4,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)

 gen l2=lnl^2
  gen k2=lnk^2
   gen m2=lnm^2
    gen lk=lnl*lnk
	gen lm=lnl*lnm
	gen mk=lnm*lnk
	gen lkm=lnl*lnk*lnm
	xtreg lny lnl lnk lnm l2 k2 m2 lk lm mk lkm i.year i.ind2,fe
	gen thea=_b[lnm]+2*_b[m2]*lnm+_b[lm]*lnl+_b[mk]*lnk+_b[lkm]*lnl*lnk
	gen mkp1=thea*mratio^(-1)
//Robustness check
// different estimation methods

xtreg  mkp1 lntfp_acf lngni real quality lnscale klratio soe age hhi if mkp1>=0.5&mkp1<=3,fe
est store mk23
xtreg  mkp1 lntfp_acf lngni real quality lnscale klratio soe age hhi i.year if mkp1>=0.5&mkp1<=3,fe
est store mk24
xtreg  mkp1 lntfp_acf lngni real quality lnscale klratio soe age hhi i.year i.ind2 i.province if mkp1>=0.5&mkp1<=3,fe
est store mk25
xtabond2 mkp1 lntfp_acf lngni real quality lnscale klratio soe age hhi yr1-yr10 if mkp1>=0.5&mkp1<=3, gmm(l.lntfp_acf l.quality,collapse) iv(i.year)
est store mk26
tab ind2,gen(indu)
xtabond2 mkp1 lntfp_acf lngni real quality lnscale klratio soe age hhi indu1-indu30 if mkp1>=0.5&mkp1<=3, gmm(l.lntfp_acf l.quality,collapse) iv(i.ind2)
est store mk27
esttab mk23 mk24 mk25 mk26 mk27 using mkp5,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)
// Quantile regression using panel data
qregpd mkp lntfp_lp lngni real quality lnscale klratio soe age hhi, q(0.1) id(panelid) fix(year) optimize(mcmc) noisy draws(200) burn(50) arate(.5)
est store mk_q1
qregpd mkp lntfp_lp lngni real quality lnscale klratio soe age hhi, q(0.25) id(panelid) fix(year) optimize(mcmc) noisy draws(200) burn(50) arate(.5)
est store mk_q2
qregpd mkp lntfp_lp lngni real quality lnscale klratio soe age hhi, q(0.5) id(panelid) fix(year) optimize(mcmc) noisy draws(200) burn(50) arate(.5)
est store mk_q3
qregpd mkp lntfp_lp lngni real quality lnscale klratio soe age hhi, q(0.75) id(panelid) fix(year) optimize(mcmc) noisy draws(200) burn(50) arate(.5)
est store mk_q4
qregpd mkp lntfp_lp lngni real quality lnscale klratio soe age hhi, q(0.9) id(panelid) fix(year) optimize(mcmc) noisy draws(200) burn(50) arate(.5)
est store mk_q5
esttab mk_q1 mk_q2 mk_q3 mk_q4 mk_q5 using mkp7,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)

// PSMDID
merge m:m panelid year using "E:\ҵҵݿ⸱"
drop if _merge==2
gen fcons=lxzc/gdzchj
sum fcons
sort panelid year
bysort panelid: gen totalexp=sum(expdum)
gen input_ratio=zjtrhj/gyzczxjxgd
bysort panelid: egen sumexp=sum(expdum)
gen treat=0 if sumexp==0
replace treat=1 if sumexp>=1
logit treat  lnl lnva lntfp_lp fcons input_ratio soe,iterate(20)
predict myscore, pr
psmatch2 treat if ind2==6, outcome(mkp) pscore(myscore) n(3) caliper(0.001) common 
pstest  lnl lnva lntfp_lp fcons input_ratio soe,sum both

 g att = .
        levels ind2, local(indu)
        qui foreach j of local indu {
                psmatch2 treat if ind2==`j', outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
                replace att = r(att) if  ind2==`j'
        }
        sum att
//regression
set processor 4
gen post=0 if _treat!=.
replace post=1 if totalexp>=1
gen treatpost=_treat*post
xtreg mkp treatpost lnscale klratio soe age hhi i.ind2 if _support==1,fe    // trade
est store mk28
gen purepost=pureexp*post
xtreg mkp purepost lnscale klratio soe age hhi i.ind2 if _support==1,fe  // pure export trade
est store mk29
gen ybmydum=0 if _treat!=.
replace ybmydum=1 if _treat==1&exp_ybmy>0&exp_ybmy!=.
gen ybmypost=ybmydum*post
xtreg mkp ybmypost lnscale klratio soe age hhi i.ind2 if _support==1,fe   // general trade
est store mk30

gen jljgdum=0 if _treat!=.
replace jljgdum=1 if _treat==1&exp_jljg>0&exp_jljg!=.
gen jljgpost=jljgdum*post
xtreg mkp jljgpost lnscale klratio soe age hhi i.ind2 if _support==1,fe    // PI
est store mk31

gen lljgdum=0 if _treat!=.
replace lljgdum=1 if _treat==1&exp_lljg>0&exp_lljg!=.
gen lljgpost=lljgdum*post
xtreg mkp lljgpost lnscale klratio soe age hhi i.ind2 if _support==1,fe    // PA
est store mk32
esttab mk28 mk29 mk30 mk31 mk32 using mkp6,rtf star(* 0.10 ** 0.05 *** 0.01)ar2 b(4)

psmatch2 treat if year==2000, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2001, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2002, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2003, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2004, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2005, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2006, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat if year==2007, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
psmatch2 treat, outcome(mkp) pscore(myscore) n(3) caliper(0.005) common 
